import os
import subprocess
import logging

log = logging.getLogger(__name__)


def start_process(cmd, env=None):
    if env is None:
        env = os.environ
    log.info(f"Attempting to execute command '{' '.join(cmd)}'")
    if os.name == "nt":
        p = subprocess.Popen(cmd, creationflags=0x00000008, env=env)
    else:
        p = subprocess.Popen(cmd, env=env)
    log.info(f"Successfully started the process, PID: {p.pid}")
